%define upstream_name    ExtUtils-Builder-Compiler
%define upstream_version 0.022

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Helper role for argument collecting classes
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(ExtUtils::Builder::Action::Command)
BuildRequires: perl(ExtUtils::Builder::Action::Function)
BuildRequires: perl(ExtUtils::Builder::Node)
BuildRequires: perl(ExtUtils::Builder::Planner)
BuildRequires: perl(ExtUtils::Builder::Planner::Extension)
BuildRequires: perl(ExtUtils::Config)
BuildRequires: perl(ExtUtils::Helpers)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IPC::Open2)
BuildRequires: perl(Perl::OSType)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(sort)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildArch: noarch

%description
Often Perl modules are written to wrap functionality found in existing C
headers, libraries, or to use OS-specific features. It is useful to check
for the existance of these requirements before attempting to actually build
the module.

Objects in this class provide an extension around the
ExtUtils::Builder::Compiler manpage to simplify the creation of a _.c_
file, compiling, linking and running it, to test if a certain feature is
present.

It may also be necessary to search for the correct library to link against,
or for the right include directories to find header files in. This class
also provides assistance here.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc README Changes LICENSE INSTALL META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jan 29 2025 tv <tv> 0.22.0-1.mga10
+ Revision: 2143211
- imported package perl-ExtUtils-Builder-Compiler


* Tue Jan 28 2025 cpan2dist 0.022-1mga
- initial mageia release, generated with cpan2dist
